Subject: [mpls] MPLS-RT review of draft-smack-mpls-rfc4379bis

From: Yimin Shen <[email-masked]>
Date: Fri, 4 Dec 2015 21:17:54 +0000

Hi authors,

I was selected as a reviewer for the draft-smack-mpls-rfc4379bis, and I have completed my review.

I think this draft is useful, providing an overdue update for RFC 4379, which is the base RFC of a widely deployed protocol in MPLS networks.

One issue I have is that the draft is still specifying the packet format and mechanisms based on the Downstream Mapping TLV, which has been deprecated by the Downstream Detailed Mapping TLV defined by RFC 6424. I notice the section 1.5 where it briefly mentions the evaluation of incorporating some new RFCs to this draft. But it is unclear to me what the decision will be, whether the draft would stop here to provide just backward compatibility or it will take further steps to incorporate RFC 6424. So, before the draft is adopted, I'd like to see draft progress a little further on the to-do list and give and clearer strategy on this.

Thanks,

/Yimin Shen

---

From: "[email-masked]" <[email-masked]>
Date: Sun, 6 Dec 2015 14:22:49 +0800

Hi, all
This is an updated draft of RFC4379, and most of content is same as 4379. So yes, it should be adopted as WG document.
Except the to do list which still needs further evaluation, only very minor comments as below:
1. Obsoletes: 4379, 6829 (if approved) 
Why 6829 is listed, but 7506 is not? 

2. Throughout the document, "echo request" and "Echo Request"(section 3.3), "echo reply" and "Echo Reply"(section 4.4) are used. Shall we have a uniformed type? 

Regards
Lizhong
 
From: Loa Andersson
Date: 2015-11-20 10:19
To: Lizhong Jin; yshen; Curtis Villamizar; David Allan I
CC: [email-masked]; [email-masked]
Subject: MPLS-RT review od draft-smack-mpls-rfc4379bis
Lizhong, Yimin, Curtis, and  Dave,

You have been selected as MPLS-RT reviewers for draft-smack-mpls-rfc4379bis.
 
Note to authors: You have been CC'd on this email so that you can know
that this review is going on. However, please do not review your own
document.
 
Reviews should comment on whether the document is coherent, is it
useful (ie, is it likely to be actually useful in operational networks), 
and is the document technically sound?
 
We are interested in knowing whether the document is ready to be
considered for WG adoption (ie, it doesn't have to be perfect at this
point, but should be a good start).
 
This MPLS-RT review is a bit different in that it is a bis-version of
a widely implemented and deployed protocol, however the basic question
is the same - are we ready to adopt it as a wg document? If the meet
all the criteria LSP Ping will be progressed to Internet Standard.
 
Reviews should be sent to the document authors, WG co-chairs and WG
secretary, and CC'd to the MPLS WG email list. If necessary, comments
may be sent privately to only the WG chairs.
 
If you have technical comments you should try to be explicit about what
needs to be resolved before adopting it as a working group document, and
what can wait until the document is a working group document and the
working group has the revision control.
 
Are you able to review this draft by December 6, 2015? Please respond
in a timely fashion.
 
Thanks, Loa
(as MPLS WG chair)

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 6 Dec 2015 20:04:51 +0000

Yemen,

> On Dec 4, 2015, at 4:17 PM, Yimin Shen <[email-masked]> wrote:
> 
> Hi authors,
> 

Thanks for your review.

> I think this draft is useful, providing an overdue update for RFC 4379, which is the base RFC of a widely deployed protocol in MPLS networks.

Thanks for this summary!

> One issue I have is that the draft is still specifying the packet format and mechanisms based on the Downstream Mapping TLV, which has been deprecated by the Downstream Detailed Mapping TLV defined…

It’s the other way around… we are waiting for adoption before making those changes, so that we can adequately write based on wg direction. This is as far as we got with an individual draft.

We plan on making these updates of DS/DDS, etc, after adoption.

Thanks!

— Carlos.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 6 Dec 2015 20:18:01 +0000

> On Dec 6, 2015, at 1:22 AM, [email-masked] wrote:
> 
> Hi, all

Thanks, Lizhong.

> 2. Throughout the document, "echo request" and "Echo Request"(section 3.3), "echo reply" and "Echo Reply"(section 4.4) are used. Shall we have a uniformed type?

I agree with both and have captured them for after adoption.

Thanks,

— Carlos.

> 
> Regards
> Lizhong
> 
> From: Loa Andersson <mailto:[email-masked]>
> Date: 2015-11-20 10:19
> To: Lizhong Jin <mailto:[email-masked]>; yshen <mailto:[email-masked]>; Curtis Villamizar <mailto:[email-masked]>; David Allan I <mailto:[email-masked]>
> CC: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>

---

From: Kireeti Kompella <[email-masked]>
Date: Fri, 11 Dec 2015 00:01:56 +0100

Hi Yimin,

Thanks for your review!

On Fri, Dec 4, 2015 at 10:17 PM, Yimin Shen <[email-masked]> wrote:

> I think this draft is useful, providing an overdue update for RFC 4379,
> which is the base RFC of a widely deployed protocol in MPLS networks.
>
> One issue I have is that the draft is still specifying the packet format
> and mechanisms based on the Downstream Mapping TLV, which has been
> deprecated by the Downstream Detailed Mapping TLV defined by RFC 6424. I
> notice the section 1.5 where it briefly mentions the evaluation of
> incorporating some new RFCs to this draft. But it is unclear to me what the
> decision will be, whether the draft would stop here to provide just
> backward compatibility or it will take further steps to incorporate RFC
> 6424. So, before the draft is adopted, I'd like to see draft progress a
> little further on the to-do list and give and clearer strategy on this.
>

I don't really care whether this is done before or after WG adoption.
However, one question for the WG is, should deprecated TLVs be moved into
an appendix?  Sort of as follows:

3.2.8 <http://tools.ietf.org/html/rfc4379#section-3.2.8>.  FEC 128
Pseudowire (Deprecated)

(See Appendix A for details.)

3.2.9 <http://tools.ietf.org/html/rfc4379#section-3.2.9>.  FEC 128
Pseudowire (Current)

*...*

[and of course put the text currently in section 3.2.8 in the
Appendix.]  This preserves the historical stuff while moving them out
of the way of implementors.

Cheers,

Kireeti.

-- 
Kireeti

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 11 Dec 2015 14:20:48 +0000

> On Dec 10, 2015, at 6:01 PM, Kireeti Kompella <[email-masked]> wrote:
> 
> Hi Yimin,
> 
> Thanks for your review!
> 
> On Fri, Dec 4, 2015 at 10:17 PM, Yimin Shen <[email-masked] <mailto:[email-masked]>> wrote:
> Hi authors,
> 
> I don't really care whether this is done before or after WG adoption.  However, one question for the WG is, should deprecated TLVs be moved into an appendix?  Sort of as follows:
> 
> 3.2.8 <http://tools.ietf.org/html/rfc4379#section-3.2.8>.  FEC 128 Pseudowire (Deprecated)
> 
> 3.2.9 <http://tools.ietf.org/html/rfc4379#section-3.2.9>.  FEC 128 Pseudowire (Current)
> 
> ...
> 
> [and of course put the text currently in section 3.2.8 in the Appendix.]  This preserves the historical stuff while moving them out of the way of implementors.
> 
> Cheers,
> Kireeti.
> 

I think that moving deprecated items to an Appendix is useful and will help clean up the spec.

Thanks!

— Carlos.